%define module pyusb
%define omodule usb

%global alphatag a1

Summary:	Python bindings for libusb
Name:		python-%{module}
Version:	1.0.0
Release:	2%{alphatag}
License:	BSD
Group:		Development/Python
Url:		http://pyusb.sourceforge.net/
Source0:	%{module}-%{version}-%{alphatag}.tar.gz
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(python)
Conflicts:	pyusb < 1.0.0-2a1
Obsoletes:	pyusb < 1.0.0-2a1
Provides:	pyusb = %{EVRD}
BuildArch:	noarch

%description
PyUSB provides easy USB access to python. The module contains classes and
methods to support most USB operations.

%files
%dir %{py_puresitedir}/%{omodule}/
%{py_puresitedir}/%{omodule}/*
%{py_puresitedir}/%{module}-*.egg-info

#----------------------------------------------------------------------------

%package -n python3-%{module}
Summary:	Python bindings for libusb
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

%description -n python3-%{module}
PyUSB provides easy USB access to python. The module contains classes and
methods to support most USB operations.

%files -n python3-%{module}
%dir %{py3_puresitedir}/%{omodule}/
%{py3_puresitedir}/%{omodule}/*
%{py3_puresitedir}/%{module}-*.egg-info

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-%{version}-%{alphatag}

cp -a . %{py3dir}

%build

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}

pushd %{py3dir}
PYTHONDONTWRITEBYTECODE= %__python3 setup.py install --root=%{buildroot}
popd

%changelog

* Thu Jun 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.0-2a1
- (0780157) Fix BuildRequires for python3 module


